function skill087(j)
	if j==1 then
		local a=battle.GetRndNumber(1,100)
		if a>=1 and a<=30 then
			local pid=battle.GetActingPlayerID()
			player.AddStat(0,pid,100,13,3)
			player.CreateSE(128,3913)
		end
	end

scale=0
for se=1,7,1 do
if battle.CheckNpcPlace(se)==0 then
	local tid=battle.GetPlaceNpcID(se)

if battle.CheckPlayerStat(128,732)==1 and battle.CheckNpcStat(tid,733)==1 then	
scale=4
npc.AddStat(0,tid,100,734,999)
player.AddStat(0,128,9000,735,999)
ca1=battle.GetRndNumber(-5,5)/100
ca2=battle.GetRndNumber(-player.GetLevel(128),player.GetLevel(128))
npc.ChangeHP(0,0,tid,-((player.GetLevel(128)*scale*5)*(1+ca1))+ca2)
elseif battle.CheckPlayerStat(128,731)==1 and battle.CheckPlayerStat(128,732)==0 and battle.CheckNpcStat(tid,733)==1 then
scale=1
ca1=battle.GetRndNumber(-5,5)/100
ca2=battle.GetRndNumber(-player.GetLevel(128),player.GetLevel(128))
npc.ChangeHP(0,0,tid,-((player.GetLevel(128)*scale*5)*(1+ca1))+ca2)
else
scale=0
end

end
end

end